This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506158 - channel management tool doesn't allow setting end of life
channel management tool doesn't allow setting end of life
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn511
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
US=105432
:
Depends On:
Blocks: 506596
  Show dependency treegraph
 
Reported: 2009-06-15 15:11 EDT by James Bowes
Modified: 2013-01-10 05:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 09:02:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-06-15 15:11:15 EDT
I suspect that particular field has never been tested, as only 38 channels have it set.
Comment 1 Denise Hughes 2009-06-24 13:47:09 EDT
Steps to Recreate:
1. Open command window and run: rhn-manage-channel-internal --server dev -l rhel-i386-server-5
2. Copy and paste the output in a new file
3. In the new file, change label and name information
4. In the new file, enter End of Life date (YYYY-MM-DD)
5. Save the file and run the following command: rhn-manage-channel-internal --server dev --csv=/home/dhughes/RHN/DeniseTestEOL062409 --update --commit
6. Verify the information in the database
select * from RHNCHANNEL where NAME = 'DeniseTestingName1'
7. Verify the information on the Retired Channels page in the UI

Results:
The RHNCHANNEL table is updated properly with the EOL date.  But the channel is not displayed under the Retired Channels page in the UI.
Comment 2 Denise Hughes 2009-06-26 15:27:50 EDT
Verified on webdev.
(Note: I changed the label and the name back to it's original state)

A unique constraint error was displayed.  It did not affect the UI and database update.  A separate bug was open for this issue.  See bug #508325
Comment 3 Stephen Herr 2009-07-30 11:53:24 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.